0
votes
0answers
178 views

Can't install pg gem on mac os x Lion

Im using Mac OS X 10.7.4 Trying to install pg gem to work with PostgreSQL. Typing: sudo gem install pg Got This answer: Building native extensions. This could take a while... ERROR: Error ...
0
votes
1answer
182 views

Uninstalled Ruby.Frameworks on Mac OS X 10.8

In an attempt to create a clean Ruby slate for myself, I uninstalled RVM, rbenv (yeah, I had both installed, whoops), Gem, Bundler, and the pre-installed version of Ruby. I didn't realize the chaos ...
2
votes
1answer
1k views

How do I uninstall a ruby version installed via source?

I installed a version (1.9.3-p194) of ruby via source using make install and realized this may have been the wrong route to take. Upon doing this, I realized this was a mistake and I should be using a ...
1
vote
1answer
2k views

Installing Ruby with Homebrew

I'm trying to install Ruby 1.9 using Homebrew. I'm using Mac OS X Lion, so Ruby 1.8.7 is installed by default. I've got Homebrew installed at /usr/local/bin/brew (well that's what it says if I run ...
8
votes
5answers
3k views

Homebrew keeps saying XCode is not installed

I'm trying to installed Ruby using Homebrew, the OSX package manager. When I run 'brew install ruby' I keep getting the message 'Warning: XCode is not installed!'. XCode is installed, it's lying. ...
1
vote
1answer
120 views

Upgrading Rails Dev Unit from Snow Leopard to Lion

Should I take any considerations for my Rails 3.0/3.1, Ruby 1.9.2 development machine running OS X 10.6 Snow Leopard before upgrading to OS X 10.7 Lion? Will there be anything that I need to ...
5
votes
4answers
6k views

Errors when installing Ruby to Mac OSX Lion via RVM

I was trying to install the newest version of Ruby via RVM, after I upgraded my Mac to Lion and installed the new Xcode 4.1 from the App store. I get this error in the log: [2011-07-20 16:57:15] ...